Reorder sections
POST https://api.weav.com/v1/kb-sections/reorder
Requires a token with the external-api:write ability.
Body
idsarray<string>requiredRequest
cURL
curl --request POST \
--url 'https://api.weav.com/v1/kb-sections/reorder' \
--header "Authorization: Bearer ${WEAV_API_TOKEN}" \
--header 'Content-Type: application/json' \
--data '{
"ids": [
"9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d"
]
}'
JavaScript
const body = {
"ids": [
"9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d"
]
};
const response = await fetch("https://api.weav.com/v1/kb-sections/reorder", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.WEAV_API_TOKEN}`,
'Content-Type': 'application/json'
},
body: JSON.stringify(body)
});
console.log(response.status);
Python
import os
import requests
headers = {"Authorization": f"Bearer {os.environ['WEAV_API_TOKEN']}"}
body = {"ids": ["9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d"]}
response = requests.post("https://api.weav.com/v1/kb-sections/reorder", headers=headers, json=body)
print(response.status_code)
PHP
use GuzzleHttp\Client;
$client = new Client();
$response = $client->request('POST', 'https://api.weav.com/v1/kb-sections/reorder', [
'headers' => ['Authorization' => 'Bearer '.getenv('WEAV_API_TOKEN')],
'json' => array (
'ids' =>
array (
0 => '9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d',
),
),
]);
echo $response->getStatusCode();
Response
200OK422Unprocessable Content
